UpdateOrderStatus
The UpdateOrderStatus API lets you:- Cancel an order with a reason (and notify the customer accordingly)
- Move an order to a processing status (used by Global‑e or specific cases not covered in this guide)
- Global‑e order number (and not ecommerce platform or another system)
- Status and reasons codes mapped on the Global‑e side (for example, for cancellation reasons)
Update Order Status — reference & playground
The
orderStatus query parameter, the ResponseInfo response class, response examples, and the interactive playground for POST /Order/UpdateOrderStatus.Request
The whole payload is passed as a single query-string parameter,orderStatus, whose value is a URL-encoded, JSON-serialized object — there is no request body:
OrderId is required; the other fields are optional.
orderStatus object
OrderStatus object
OrderStatusReason object
Use Cases
Cancel an order prior to dispatch
Send the Global‑eOrderId, the target OrderStatus, and an OrderStatusReason describing why the order is being cancelled. The reason must be mapped on the Global‑e side so the appropriate notification can be sent to the customer.
Order Status Reasons
Reasons (in addition to statuses) must be mapped in the Global‑e configuration so that appropriate notifications can be sent to the customer.
- Cancellation because of out-of-stock
- Cancellation at the customer’s request
- Cancellation for technical reasons (default in case of no reason mapping declared)

